diff --git a/debian.master/config/config.common.ports b/debian.master/config/config.common.ports
index 8498491..2296500 100644
--- a/debian.master/config/config.common.ports
+++ b/debian.master/config/config.common.ports
@@ -83,6 +83,7 @@ CONFIG_AIO=y
 CONFIG_AIRO=m
 CONFIG_AIRO_CS=m
 CONFIG_ALI_FIR=m
+# CONFIG_ALTERA_PCIE_CHDMA is not set
 CONFIG_ALTIVEC=y
 # CONFIG_AMIGAONE is not set
 CONFIG_ANON_INODES=y
@@ -129,6 +130,7 @@ CONFIG_ARCNET_RAW=m
 CONFIG_ARCNET_RIM_I=m
 # CONFIG_ARPD is not set
 CONFIG_ASK_IP_FIB_HASH=y
+# CONFIG_ASUS_OLED is not set
 CONFIG_ASYNC_CORE=m
 CONFIG_ASYNC_MEMCPY=m
 CONFIG_ASYNC_PQ=m
@@ -212,6 +214,7 @@ CONFIG_AUTOFS_FS=m
 CONFIG_AUXDISPLAY=y
 CONFIG_AX25=m
 # CONFIG_AX25_DAMA_SLAVE is not set
+# CONFIG_B3DFG is not set
 CONFIG_B43=m
 CONFIG_B43LEGACY=m
 CONFIG_B43LEGACY_DEBUG=y
@@ -472,6 +475,7 @@ CONFIG_CLS_U32_MARK=y
 CONFIG_CNIC=m
 CONFIG_CODA_FS=m
 # CONFIG_CODE_PATCHING_SELFTEST is not set
+# CONFIG_COMEDI is not set
 CONFIG_COMPAT=y
 CONFIG_COMPAT_BINFMT_ELF=y
 # CONFIG_COMPAT_BRK is not set
@@ -683,8 +687,12 @@ CONFIG_DNET=m
 CONFIG_DNOTIFY=y
 CONFIG_DONGLE=y
 CONFIG_DRAGONRISE_FF=y
+CONFIG_DRM_I2C_CH7006=m
 CONFIG_DRM_KMS_HELPER=m
 CONFIG_DRM_MGA=m
+CONFIG_DRM_NOUVEAU=m
+CONFIG_DRM_NOUVEAU_BACKLIGHT=y
+CONFIG_DRM_NOUVEAU_DEBUG=y
 CONFIG_DRM_R128=m
 CONFIG_DRM_RADEON=m
 CONFIG_DRM_RADEON_KMS=y
@@ -697,6 +705,7 @@ CONFIG_DS1682=m
 CONFIG_DSCC4=m
 CONFIG_DSCC4_PCISYNC=y
 CONFIG_DSCC4_PCI_RST=y
+# CONFIG_DST is not set
 CONFIG_DTC=y
 CONFIG_DUMMY=m
 CONFIG_DUMMY_CONSOLE=y
@@ -810,6 +819,7 @@ CONFIG_E1000=m
 CONFIG_E1000E=m
 # CONFIG_E200 is not set
 CONFIG_EARLY_PRINTK=y
+# CONFIG_ECHO is not set
 CONFIG_ECONET_AUNUDP=y
 CONFIG_ECONET_NATIVE=y
 CONFIG_ECRYPT_FS=m
@@ -845,6 +855,7 @@ CONFIG_EPIC100=m
 CONFIG_EPOLL=y
 CONFIG_EQUALIZER=m
 CONFIG_ESI_DONGLE=m
+# CONFIG_ET131X is not set
 CONFIG_ETHOC=m
 CONFIG_EVENTFD=y
 CONFIG_EVENT_PROFILE=y
@@ -946,6 +957,7 @@ CONFIG_FB_SVGALIB=m
 CONFIG_FB_TILEBLITTING=y
 CONFIG_FB_TMIO=m
 CONFIG_FB_TMIO_ACCELL=y
+# CONFIG_FB_UDL is not set
 CONFIG_FB_UVESA=m
 CONFIG_FB_VALKYRIE=y
 # CONFIG_FB_VGA16 is not set
@@ -1274,6 +1286,7 @@ CONFIG_IDE_ATAPI=y
 CONFIG_IDE_GD=y
 CONFIG_IDE_GD_ATA=y
 # CONFIG_IDE_GD_ATAPI is not set
+# CONFIG_IDE_PHISON is not set
 CONFIG_IDE_PROC_FS=y
 # CONFIG_IDE_TASK_IOCTL is not set
 CONFIG_IDE_TIMINGS=y
@@ -1294,6 +1307,7 @@ CONFIG_IEEE802154_DRIVERS=m
 CONFIG_IFB=m
 # CONFIG_IGB is not set
 CONFIG_IGBVF=m
+# CONFIG_IIO is not set
 # CONFIG_IKCONFIG_PROC is not set
 # CONFIG_IMA is not set
 CONFIG_INET=y
@@ -1335,6 +1349,7 @@ CONFIG_INPUT_ATI_REMOTE2=m
 CONFIG_INPUT_CM109=m
 CONFIG_INPUT_EVDEV=m
 CONFIG_INPUT_FF_MEMLESS=m
+# CONFIG_INPUT_GPIO is not set
 CONFIG_INPUT_GPIO_ROTARY_ENCODER=m
 CONFIG_INPUT_KEYBOARD=y
 CONFIG_INPUT_KEYSPAN_REMOTE=m
@@ -1647,6 +1662,7 @@ CONFIG_LIBFC=m
 CONFIG_LIBFCOE=m
 CONFIG_LIBIPW=m
 # CONFIG_LIBIPW_DEBUG is not set
+# CONFIG_LINE6_USB is not set
 CONFIG_LIRC_ATIUSB=m
 CONFIG_LIRC_BT829=m
 CONFIG_LIRC_CONFIG_LIRC_WPC8769L=m
@@ -2222,6 +2238,7 @@ CONFIG_OF_SPI=y
 CONFIG_OLD_BELKIN_DONGLE=m
 CONFIG_OMFS_FS=m
 CONFIG_OPROFILE=m
+# CONFIG_OTUS is not set
 CONFIG_P54_COMMON=m
 CONFIG_P54_LEDS=y
 CONFIG_P54_PCI=m
@@ -2231,6 +2248,7 @@ CONFIG_PACKET=y
 CONFIG_PACKET_MMAP=y
 CONFIG_PAGEFLAGS_EXTENDED=y
 # CONFIG_PAGE_POISONING is not set
+# CONFIG_PANEL is not set
 CONFIG_PANTHERLORD_FF=y
 CONFIG_PARAVIRT=y
 CONFIG_PARAVIRT_GUEST=y
@@ -2382,6 +2400,7 @@ CONFIG_PHYLIB=y
 # CONFIG_PHYP_DUMP is not set
 CONFIG_PHYSICAL_START=0x00000000
 # CONFIG_PID_NS is not set
+# CONFIG_PLAN9AUTH is not set
 CONFIG_PLIP=m
 # CONFIG_PLX_HERMES is not set
 CONFIG_PM=y
@@ -2400,6 +2419,8 @@ CONFIG_PM_STD_PARTITION=""
 CONFIG_PNP=y
 CONFIG_PNPACPI=y
 # CONFIG_PNP_DEBUG_MESSAGES is not set
+# CONFIG_POCH is not set
+# CONFIG_POHMELFS is not set
 CONFIG_POSIX_MQUEUE=y
 CONFIG_POSIX_MQUEUE_SYSCTL=y
 CONFIG_POWER3=y
@@ -2483,6 +2504,7 @@ CONFIG_PRINTK=y
 CONFIG_PRINTK_TIME=y
 # CONFIG_PRINT_QUOTA_WARNING is not set
 CONFIG_PRINT_STACK_DEPTH=64
+# CONFIG_PRISM2_USB is not set
 CONFIG_PROC_DEVICETREE=y
 CONFIG_PROC_FS=y
 CONFIG_PROC_KCORE=y
@@ -2527,6 +2549,7 @@ CONFIG_RADIO_SI470X=y
 CONFIG_RADIO_SI4713=m
 CONFIG_RADIO_TEA5764=m
 CONFIG_RAID_ATTRS=m
+# CONFIG_RAR_REGISTER is not set
 CONFIG_RAW_DRIVER=m
 # CONFIG_RCU_CPU_STALL_DETECTOR is not set
 # CONFIG_RCU_FANOUT_EXACT is not set
@@ -2657,7 +2680,10 @@ CONFIG_RTC_INTF_SYSFS=y
 CONFIG_RTC_LIB=y
 # CONFIG_RTL8180 is not set
 CONFIG_RTL8187=m
+# CONFIG_RTL8187SE is not set
 CONFIG_RTL8187_LEDS=y
+# CONFIG_RTL8192E is not set
+# CONFIG_RTL8192SU is not set
 # CONFIG_RT_GROUP_SCHED is not set
 CONFIG_RT_MUTEXES=y
 # CONFIG_RT_MUTEX_TESTER is not set
@@ -3217,7 +3243,6 @@ CONFIG_STACKTRACE_SUPPORT=y
 # CONFIG_STACK_DEBUG is not set
 # CONFIG_STACK_TRACER is not set
 CONFIG_STAGING=y
-CONFIG_STAGING_EXCLUDE_BUILD=y
 CONFIG_STALDRV=y
 CONFIG_STALLION=m
 CONFIG_STANDALONE=y
@@ -3363,6 +3388,7 @@ CONFIG_TRACEPOINTS=y
 CONFIG_TRACE_IRQFLAGS_SUPPORT=y
 CONFIG_TRACING=y
 CONFIG_TRACING_SUPPORT=y
+# CONFIG_TRANZPORT is not set
 # CONFIG_TREE_PREEMPT_RCU is not set
 CONFIG_TREE_RCU=y
 # CONFIG_TREE_RCU_TRACE is not set
@@ -3510,6 +3536,7 @@ CONFIG_USB_HSO=m
 CONFIG_USB_HWA_HCD=m
 CONFIG_USB_IDMOUSE=m
 CONFIG_USB_IOWARRIOR=m
+# CONFIG_USB_IP_COMMON is not set
 CONFIG_USB_IRDA=m
 CONFIG_USB_ISIGHTFW=m
 CONFIG_USB_ISP116X_HCD=m
@@ -3608,6 +3635,8 @@ CONFIG_USB_SERIAL_OPTION=m
 CONFIG_USB_SERIAL_OTI6858=m
 CONFIG_USB_SERIAL_PL2303=m
 CONFIG_USB_SERIAL_QUALCOMM=m
+# CONFIG_USB_SERIAL_QUATECH2 is not set
+# CONFIG_USB_SERIAL_QUATECH_USB2 is not set
 CONFIG_USB_SERIAL_SAFE=m
 # CONFIG_USB_SERIAL_SAFE_PADDED is not set
 CONFIG_USB_SERIAL_SIEMENS_MPI=m
@@ -3709,6 +3738,7 @@ CONFIG_VIDEO_CX231XX_ALSA=m
 CONFIG_VIDEO_CX231XX_DVB=m
 CONFIG_VIDEO_CX2341X=m
 CONFIG_VIDEO_CX23885=m
+# CONFIG_VIDEO_CX25821 is not set
 CONFIG_VIDEO_CX25840=m
 CONFIG_VIDEO_CX88_ALSA=m
 CONFIG_VIDEO_CX88_BLACKBIRD=m
@@ -3720,6 +3750,7 @@ CONFIG_VIDEO_DEV=m
 CONFIG_VIDEO_EM28XX_DVB=m
 CONFIG_VIDEO_FB_IVTV=m
 # CONFIG_VIDEO_FIXED_MINOR_RANGES is not set
+# CONFIG_VIDEO_GO7007 is not set
 CONFIG_VIDEO_HDPVR=m
 # CONFIG_VIDEO_HELPER_CHIPS_AUTO is not set
 CONFIG_VIDEO_HEXIUM_GEMINI=m
@@ -3793,10 +3824,13 @@ CONFIG_VITESSE_PHY=m
 CONFIG_VLAN_8021Q=m
 CONFIG_VLAN_8021Q_GVRP=y
 CONFIG_VLSI_FIR=m
+# CONFIG_VME_BUS is not set
 CONFIG_VM_EVENT_COUNTERS=y
 CONFIG_VORTEX=m
 # CONFIG_VSX is not set
 CONFIG_VT=y
+# CONFIG_VT6655 is not set
+# CONFIG_VT6656 is not set
 CONFIG_VT_CONSOLE=y
 CONFIG_VT_HW_CONSOLE_BINDING=y
 CONFIG_VXFS_FS=m
@@ -3815,6 +3849,7 @@ CONFIG_W1_SLAVE_DS2433=m
 CONFIG_W1_SLAVE_DS2760=m
 CONFIG_W1_SLAVE_SMEM=m
 CONFIG_W1_SLAVE_THERM=m
+# CONFIG_W35UND is not set
 CONFIG_WANXL=m
 CONFIG_WAN_ROUTER_DRIVERS=m
 CONFIG_WATCHDOG=y
diff --git a/debian.master/config/ia64/config.common.ia64 b/debian.master/config/ia64/config.common.ia64
index c1ef412..ea554e3 100644
--- a/debian.master/config/ia64/config.common.ia64
+++ b/debian.master/config/ia64/config.common.ia64
@@ -229,6 +229,7 @@ CONFIG_SMP=y
 CONFIG_SOLARIS_X86_PARTITION=y
 # CONFIG_SPARSEMEM_MANUAL is not set
 CONFIG_SPECIALIX=m
+CONFIG_STAGING_EXCLUDE_BUILD=y
 # CONFIG_SUNDANCE_MMIO is not set
 CONFIG_SUNGEM=m
 CONFIG_TABLET_USB_WACOM=m
diff --git a/debian.master/config/powerpc/config.common.powerpc b/debian.master/config/powerpc/config.common.powerpc
index b76d0ca..a7cfcc0 100644
--- a/debian.master/config/powerpc/config.common.powerpc
+++ b/debian.master/config/powerpc/config.common.powerpc
@@ -199,6 +199,7 @@ CONFIG_SGI_PARTITION=y
 CONFIG_SLIP_MODE_SLIP6=y
 CONFIG_SOLARIS_X86_PARTITION=y
 CONFIG_SPECIALIX=m
+# CONFIG_STAGING_EXCLUDE_BUILD is not set
 # CONFIG_SUNDANCE_MMIO is not set
 CONFIG_SUNGEM=m
 # CONFIG_TABLET_USB_WACOM is not set
diff --git a/debian.master/config/sparc/config.common.sparc b/debian.master/config/sparc/config.common.sparc
index 9a1a495..95c5472 100644
--- a/debian.master/config/sparc/config.common.sparc
+++ b/debian.master/config/sparc/config.common.sparc
@@ -236,6 +236,7 @@ CONFIG_SERIO_PCIPS2=y
 # CONFIG_SOLARIS_X86_PARTITION is not set
 CONFIG_SPARSEMEM_MANUAL=y
 # CONFIG_SPECIALIX is not set
+CONFIG_STAGING_EXCLUDE_BUILD=y
 CONFIG_SUNDANCE_MMIO=y
 CONFIG_SUNGEM=y
 # CONFIG_TABLET_USB_WACOM is not set