diff --git a/debian.master/abi/2.6.38-13.52/modules.ignore b/debian.master/abi/2.6.38-13.52/modules.ignore
new file mode 100644
index 0000000..86952b8
--- /dev/null
+++ b/debian.master/abi/2.6.38-13.52/modules.ignore
@@ -0,0 +1,4 @@
+xen-blkfront
+xenbus_probe_frontend
+xen-netfront
+xen-platform-pci
diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 6180099..f228c1e 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -442,6 +442,8 @@ CONFIG_X86_INTERNODE_CACHE_SHIFT=7
 CONFIG_X86_MINIMUM_CPU_FAMILY=64
 CONFIG_X86_SPEEDSTEP_LIB=m
 CONFIG_X86_X2APIC=y
+CONFIG_XEN_BLKDEV_FRONTEND=y
+CONFIG_XEN_NETDEV_FRONTEND=y
 CONFIG_XEN_PRIVILEGED_GUEST=y
 CONFIG_ZONE_DMA32=y
 CONFIG_ZONE_DMA_FLAG=1
diff --git a/debian.master/config/amd64/config.flavour.generic b/debian.master/config/amd64/config.flavour.generic
index a3d1808..81a1de0 100644
--- a/debian.master/config/amd64/config.flavour.generic
+++ b/debian.master/config/amd64/config.flavour.generic
@@ -16,6 +16,3 @@ CONFIG_VIRTIO_BLK=m
 CONFIG_VIRTIO_NET=m
 CONFIG_VIRTIO_PCI=m
 CONFIG_VIRTIO_RING=m
-CONFIG_XEN_BLKDEV_FRONTEND=m
-CONFIG_XEN_NETDEV_FRONTEND=m
-CONFIG_XEN_XENBUS_FRONTEND=m
diff --git a/debian.master/config/amd64/config.flavour.server b/debian.master/config/amd64/config.flavour.server
index fa42131..6b178c3 100644
--- a/debian.master/config/amd64/config.flavour.server
+++ b/debian.master/config/amd64/config.flavour.server
@@ -16,6 +16,3 @@ CONFIG_VIRTIO_BLK=y
 CONFIG_VIRTIO_NET=y
 CONFIG_VIRTIO_PCI=y
 CONFIG_VIRTIO_RING=y
-CONFIG_XEN_BLKDEV_FRONTEND=m
-CONFIG_XEN_NETDEV_FRONTEND=m
-CONFIG_XEN_XENBUS_FRONTEND=m
diff --git a/debian.master/config/amd64/config.flavour.virtual b/debian.master/config/amd64/config.flavour.virtual
index ed3931c..ec2e848 100644
--- a/debian.master/config/amd64/config.flavour.virtual
+++ b/debian.master/config/amd64/config.flavour.virtual
@@ -16,6 +16,3 @@ CONFIG_VIRTIO_BLK=y
 CONFIG_VIRTIO_NET=y
 CONFIG_VIRTIO_PCI=y
 CONFIG_VIRTIO_RING=y
-CONFIG_XEN_BLKDEV_FRONTEND=y
-CONFIG_XEN_NETDEV_FRONTEND=y
-CONFIG_XEN_XENBUS_FRONTEND=y
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index 5a8a56f..8ee1c56 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -5540,11 +5540,12 @@ CONFIG_XEN_GNTDEV=m
 CONFIG_XEN_KBDDEV_FRONTEND=m
 CONFIG_XEN_MAX_DOMAIN_MEMORY=128
 CONFIG_XEN_PCIDEV_FRONTEND=m
-CONFIG_XEN_PLATFORM_PCI=m
+CONFIG_XEN_PLATFORM_PCI=y
 CONFIG_XEN_PVHVM=y
 CONFIG_XEN_SAVE_RESTORE=y
 CONFIG_XEN_SCRUB_PAGES=y
 CONFIG_XEN_SYS_HYPERVISOR=y
+CONFIG_XEN_XENBUS_FRONTEND=y
 CONFIG_XFRM=y
 CONFIG_XFRM_IPCOMP=m
 # CONFIG_XFRM_MIGRATE is not set
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index 988e953..57540f7 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -442,5 +442,7 @@ CONFIG_X86_INTERNODE_CACHE_SHIFT=6
 CONFIG_X86_MINIMUM_CPU_FAMILY=5
 CONFIG_X86_SPEEDSTEP_LIB=y
 # CONFIG_X86_X2APIC is not set
+CONFIG_XEN_BLKDEV_FRONTEND=y
+CONFIG_XEN_NETDEV_FRONTEND=y
 # CONFIG_ZONE_DMA32 is not set
 CONFIG_ZONE_DMA_FLAG=1
diff --git a/debian.master/config/i386/config.flavour.generic-pae b/debian.master/config/i386/config.flavour.generic-pae
index 3620b5b..b98813b 100644
--- a/debian.master/config/i386/config.flavour.generic-pae
+++ b/debian.master/config/i386/config.flavour.generic-pae
@@ -18,7 +18,4 @@ CONFIG_VIRTIO_BLK=y
 CONFIG_VIRTIO_NET=y
 CONFIG_VIRTIO_PCI=y
 CONFIG_VIRTIO_RING=y
-CONFIG_XEN_BLKDEV_FRONTEND=m
-CONFIG_XEN_NETDEV_FRONTEND=m
 CONFIG_XEN_PRIVILEGED_GUEST=y
-CONFIG_XEN_XENBUS_FRONTEND=m
diff --git a/debian.master/config/i386/config.flavour.virtual b/debian.master/config/i386/config.flavour.virtual
index d4ddb92..33756c7 100644
--- a/debian.master/config/i386/config.flavour.virtual
+++ b/debian.master/config/i386/config.flavour.virtual
@@ -18,7 +18,4 @@ CONFIG_VIRTIO_BLK=y
 CONFIG_VIRTIO_NET=y
 CONFIG_VIRTIO_PCI=y
 CONFIG_VIRTIO_RING=y
-CONFIG_XEN_BLKDEV_FRONTEND=y
-CONFIG_XEN_NETDEV_FRONTEND=y
 CONFIG_XEN_PRIVILEGED_GUEST=y
-CONFIG_XEN_XENBUS_FRONTEND=y