diff --git a/debian.master/abi/3.12.0-6.14/amd64/generic.modules b/debian.master/abi/3.12.0-6.14/amd64/generic.modules
index 3cd7370..9f35201 100644
--- a/debian.master/abi/3.12.0-6.14/amd64/generic.modules
+++ b/debian.master/abi/3.12.0-6.14/amd64/generic.modules
@@ -3618,7 +3618,6 @@ videocodec
 videodev
 viperboard
 viperboard_adc
-virtio_console
 virtio-rng
 virtio_scsi
 virtual
diff --git a/debian.master/abi/3.12.0-6.14/arm64/generic.modules b/debian.master/abi/3.12.0-6.14/arm64/generic.modules
index 0beb006..cf910d6 100644
--- a/debian.master/abi/3.12.0-6.14/arm64/generic.modules
+++ b/debian.master/abi/3.12.0-6.14/arm64/generic.modules
@@ -1815,7 +1815,6 @@ videobuf2-vmalloc
 videobuf-core
 videobuf-dma-contig
 videodev
-virtio_console
 virtio-rng
 virtio_scsi
 virtual
diff --git a/debian.master/abi/3.12.0-6.14/armhf/generic-lpae.modules b/debian.master/abi/3.12.0-6.14/armhf/generic-lpae.modules
index 2ee6c18..94deede 100644
--- a/debian.master/abi/3.12.0-6.14/armhf/generic-lpae.modules
+++ b/debian.master/abi/3.12.0-6.14/armhf/generic-lpae.modules
@@ -2559,13 +2559,6 @@ videobuf-vmalloc
 videodev
 viperboard
 viperboard_adc
-virtio
-virtio_balloon
-virtio_blk
-virtio_console
-virtio_mmio
-virtio_net
-virtio_ring
 virtio-rng
 virtio_scsi
 virtual
diff --git a/debian.master/abi/3.12.0-6.14/armhf/generic.modules b/debian.master/abi/3.12.0-6.14/armhf/generic.modules
index 5fee8d2..4f68b22 100644
--- a/debian.master/abi/3.12.0-6.14/armhf/generic.modules
+++ b/debian.master/abi/3.12.0-6.14/armhf/generic.modules
@@ -3371,7 +3371,6 @@ videobuf-vmalloc
 videodev
 viperboard
 viperboard_adc
-virtio_console
 virtio-rng
 virtio_rpmsg_bus
 virtio_scsi
diff --git a/debian.master/abi/3.12.0-6.14/i386/generic.modules b/debian.master/abi/3.12.0-6.14/i386/generic.modules
index c061b25..9284188 100644
--- a/debian.master/abi/3.12.0-6.14/i386/generic.modules
+++ b/debian.master/abi/3.12.0-6.14/i386/generic.modules
@@ -3767,7 +3767,6 @@ videocodec
 videodev
 viperboard
 viperboard_adc
-virtio_console
 virtio-rng
 virtio_scsi
 virtual
diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 3a439fc..b537437 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -116,11 +116,6 @@ CONFIG_USB_SUPPORT=y
 CONFIG_VFIO_IOMMU_TYPE1=m
 CONFIG_VGASTATE=m
 CONFIG_VGA_CONSOLE=y
-CONFIG_VIRTIO=y
-CONFIG_VIRTIO_BALLOON=y
-CONFIG_VIRTIO_BLK=y
-CONFIG_VIRTIO_MMIO=y
-CONFIG_VIRTIO_NET=y
 CONFIG_WIL6210=m
 # CONFIG_WIMAX_GDM72XX_SDIO is not set
 CONFIG_WIRELESS=y
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 38663a7..5164723 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -67,11 +67,6 @@ CONFIG_STANDALONE=y
 # CONFIG_USB_SUPPORT is not set
 # CONFIG_VGASTATE is not set
 # CONFIG_VGA_CONSOLE is not set
-CONFIG_VIRTIO=y
-# CONFIG_VIRTIO_BALLOON is not set
-CONFIG_VIRTIO_BLK=y
-CONFIG_VIRTIO_MMIO=y
-# CONFIG_VIRTIO_NET is not set
 CONFIG_WIMAX_GDM72XX_SDIO=y
 # CONFIG_WIRELESS is not set
 # CONFIG_WLAN is not set
diff --git a/debian.master/config/armhf/config.flavour.generic b/debian.master/config/armhf/config.flavour.generic
index e3f80d3..dc74c4d 100644
--- a/debian.master/config/armhf/config.flavour.generic
+++ b/debian.master/config/armhf/config.flavour.generic
@@ -30,9 +30,4 @@ CONFIG_SND_OPL3_LIB_SEQ=m
 CONFIG_SPI_PXA2XX_PCI=m
 CONFIG_TEGRA_HOST1X=m
 CONFIG_VGASTATE=m
-CONFIG_VIRTIO=y
-CONFIG_VIRTIO_BALLOON=y
-CONFIG_VIRTIO_BLK=y
-CONFIG_VIRTIO_MMIO=y
-CONFIG_VIRTIO_NET=y
 CONFIG_ZONE_DMA_FLAG=0
diff --git a/debian.master/config/armhf/config.flavour.generic-lpae b/debian.master/config/armhf/config.flavour.generic-lpae
index ae6ac29..f4e39cf 100644
--- a/debian.master/config/armhf/config.flavour.generic-lpae
+++ b/debian.master/config/armhf/config.flavour.generic-lpae
@@ -30,9 +30,4 @@ CONFIG_SATA_AHCI_PLATFORM=m
 # CONFIG_SPI_PXA2XX_PCI is not set
 # CONFIG_TEGRA_HOST1X is not set
 # CONFIG_VGASTATE is not set
-CONFIG_VIRTIO=m
-CONFIG_VIRTIO_BALLOON=m
-CONFIG_VIRTIO_BLK=m
-CONFIG_VIRTIO_MMIO=m
-CONFIG_VIRTIO_NET=m
 CONFIG_ZONE_DMA_FLAG=1
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index e78a4b9..c7cf8fa 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -6767,8 +6767,13 @@ CONFIG_VIDEO_ZORAN_LML33=m
 CONFIG_VIDEO_ZORAN_LML33R10=m
 CONFIG_VIDEO_ZORAN_ZR36060=m
 CONFIG_VIPERBOARD_ADC=m
-CONFIG_VIRTIO_CONSOLE=m
+CONFIG_VIRTIO=y
+CONFIG_VIRTIO_BALLOON=y
+CONFIG_VIRTIO_BLK=y
+CONFIG_VIRTIO_CONSOLE=y
+CONFIG_VIRTIO_MMIO=y
 CONFIG_VIRTIO_MMIO_CMDLINE_DEVICES=y
+CONFIG_VIRTIO_NET=y
 CONFIG_VIRTIO_PCI=y
 CONFIG_VIRTUALIZATION=y
 CONFIG_VIRT_CPU_ACCOUNTING=y
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index dbe98d2..465e8bc 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -114,11 +114,6 @@ CONFIG_USB_SUPPORT=y
 CONFIG_VFIO_IOMMU_TYPE1=m
 CONFIG_VGASTATE=m
 CONFIG_VGA_CONSOLE=y
-CONFIG_VIRTIO=y
-CONFIG_VIRTIO_BALLOON=y
-CONFIG_VIRTIO_BLK=y
-CONFIG_VIRTIO_MMIO=y
-CONFIG_VIRTIO_NET=y
 CONFIG_WIL6210=m
 # CONFIG_WIMAX_GDM72XX_SDIO is not set
 CONFIG_WIRELESS=y