diff --git a/debian.master/abi/3.13.0-19.40/amd64/generic.modules b/debian.master/abi/3.13.0-19.40/amd64/generic.modules
index 67ab5ca..4780fbf 100644
--- a/debian.master/abi/3.13.0-19.40/amd64/generic.modules
+++ b/debian.master/abi/3.13.0-19.40/amd64/generic.modules
@@ -219,7 +219,6 @@ ah4
 ah6
 aha152x_cs
 ahci
-ahci_imx
 ahci_platform
 aic79xx
 aic7xxx
@@ -1034,7 +1033,6 @@ frpw
 fsa9480
 fscache
 fschmd
-fsl_lpuart
 ft1000
 ft1000_pcmcia
 ftdi-elan
diff --git a/debian.master/abi/3.13.0-19.40/amd64/lowlatency.modules b/debian.master/abi/3.13.0-19.40/amd64/lowlatency.modules
index 3af0bab..ef8e67f 100644
--- a/debian.master/abi/3.13.0-19.40/amd64/lowlatency.modules
+++ b/debian.master/abi/3.13.0-19.40/amd64/lowlatency.modules
@@ -219,7 +219,6 @@ ah4
 ah6
 aha152x_cs
 ahci
-ahci_imx
 ahci_platform
 aic79xx
 aic7xxx
@@ -1034,7 +1033,6 @@ frpw
 fsa9480
 fscache
 fschmd
-fsl_lpuart
 ft1000
 ft1000_pcmcia
 ftdi-elan
diff --git a/debian.master/abi/3.13.0-19.40/arm64/generic.modules b/debian.master/abi/3.13.0-19.40/arm64/generic.modules
index 6e0702c..2b1fe62 100644
--- a/debian.master/abi/3.13.0-19.40/arm64/generic.modules
+++ b/debian.master/abi/3.13.0-19.40/arm64/generic.modules
@@ -190,7 +190,6 @@ af-rxrpc
 ah4
 ah6
 ahci
-ahci_imx
 ahci_platform
 ahci_xgene
 aic79xx
@@ -707,7 +706,6 @@ fore_200e
 freevxfs
 fsa9480
 fscache
-fsl_lpuart
 fujitsu_ts
 g450_pll
 g760a
diff --git a/debian.master/abi/3.13.0-19.40/armhf/generic-lpae.modules b/debian.master/abi/3.13.0-19.40/armhf/generic-lpae.modules
index 8537a25..56099c4 100644
--- a/debian.master/abi/3.13.0-19.40/armhf/generic-lpae.modules
+++ b/debian.master/abi/3.13.0-19.40/armhf/generic-lpae.modules
@@ -167,7 +167,6 @@ af-rxrpc
 afs
 ah4
 ah6
-ahci_imx
 ahci_platform
 aio_aio12_8
 aio_iiro_16
@@ -737,7 +736,6 @@ friq
 frpw
 fsa9480
 fscache
-fsl_lpuart
 ft1000
 ftdi-elan
 ftdi_sio
diff --git a/debian.master/abi/3.13.0-19.40/i386/generic.modules b/debian.master/abi/3.13.0-19.40/i386/generic.modules
index 5deb29a..6b32e52 100644
--- a/debian.master/abi/3.13.0-19.40/i386/generic.modules
+++ b/debian.master/abi/3.13.0-19.40/i386/generic.modules
@@ -232,7 +232,6 @@ aha152x_cs
 aha1542
 aha1740
 ahci
-ahci_imx
 ahci_platform
 aic79xx
 aic7xxx
@@ -1058,7 +1057,6 @@ frpw
 fsa9480
 fscache
 fschmd
-fsl_lpuart
 ft1000
 ft1000_pcmcia
 ftdi-elan
diff --git a/debian.master/abi/3.13.0-19.40/i386/lowlatency.modules b/debian.master/abi/3.13.0-19.40/i386/lowlatency.modules
index bc5f4ce..daec62a 100644
--- a/debian.master/abi/3.13.0-19.40/i386/lowlatency.modules
+++ b/debian.master/abi/3.13.0-19.40/i386/lowlatency.modules
@@ -232,7 +232,6 @@ aha152x_cs
 aha1542
 aha1740
 ahci
-ahci_imx
 ahci_platform
 aic79xx
 aic7xxx
@@ -1058,7 +1057,6 @@ frpw
 fsa9480
 fscache
 fschmd
-fsl_lpuart
 ft1000
 ft1000_pcmcia
 ftdi-elan
diff --git a/debian.master/abi/3.13.0-19.40/powerpc/powerpc-e500.modules b/debian.master/abi/3.13.0-19.40/powerpc/powerpc-e500.modules
index aea755b..6571429 100644
--- a/debian.master/abi/3.13.0-19.40/powerpc/powerpc-e500.modules
+++ b/debian.master/abi/3.13.0-19.40/powerpc/powerpc-e500.modules
@@ -205,7 +205,6 @@ ah4
 ah6
 aha152x_cs
 ahci
-ahci_imx
 ahci_platform
 aic79xx
 aic7xxx
@@ -956,7 +955,6 @@ fsldma
 fsl_elbc_nand
 fsl_hypervisor
 fsl_ifc_nand
-fsl_lpuart
 fsl_pq_mdio
 fsl_qe_udc
 fsl_upm
diff --git a/debian.master/abi/3.13.0-19.40/powerpc/powerpc-e500mc.modules b/debian.master/abi/3.13.0-19.40/powerpc/powerpc-e500mc.modules
index 4082966..693c276 100644
--- a/debian.master/abi/3.13.0-19.40/powerpc/powerpc-e500mc.modules
+++ b/debian.master/abi/3.13.0-19.40/powerpc/powerpc-e500mc.modules
@@ -205,7 +205,6 @@ ah4
 ah6
 aha152x_cs
 ahci
-ahci_imx
 ahci_platform
 aic79xx
 aic7xxx
@@ -955,7 +954,6 @@ fsldma
 fsl_elbc_nand
 fsl_hypervisor
 fsl_ifc_nand
-fsl_lpuart
 fsl_pq_mdio
 fsl_qe_udc
 fsl_upm
diff --git a/debian.master/abi/3.13.0-19.40/powerpc/powerpc-smp.modules b/debian.master/abi/3.13.0-19.40/powerpc/powerpc-smp.modules
index 4e25cf9..80933c6 100644
--- a/debian.master/abi/3.13.0-19.40/powerpc/powerpc-smp.modules
+++ b/debian.master/abi/3.13.0-19.40/powerpc/powerpc-smp.modules
@@ -205,7 +205,6 @@ ah4
 ah6
 aha152x_cs
 ahci
-ahci_imx
 ahci_platform
 aic79xx
 aic7xxx
@@ -940,7 +939,6 @@ frpw
 fsa9480
 fscache
 fsl_elbc_nand
-fsl_lpuart
 ft1000
 ft1000_pcmcia
 ftdi-elan
diff --git a/debian.master/abi/3.13.0-19.40/powerpc/powerpc64-emb.modules b/debian.master/abi/3.13.0-19.40/powerpc/powerpc64-emb.modules
index f7a5b4a..20708d5 100644
--- a/debian.master/abi/3.13.0-19.40/powerpc/powerpc64-emb.modules
+++ b/debian.master/abi/3.13.0-19.40/powerpc/powerpc64-emb.modules
@@ -200,7 +200,6 @@ ah4
 ah6
 aha152x_cs
 ahci
-ahci_imx
 ahci_platform
 aic79xx
 aic7xxx
@@ -938,7 +937,6 @@ fsldma
 fsl_elbc_nand
 fsl_hypervisor
 fsl_ifc_nand
-fsl_lpuart
 fsl_pq_mdio
 fsl_usb2_udc
 ft1000
diff --git a/debian.master/abi/3.13.0-19.40/powerpc/powerpc64-smp.modules b/debian.master/abi/3.13.0-19.40/powerpc/powerpc64-smp.modules
index 5f39098..a95e9c9 100644
--- a/debian.master/abi/3.13.0-19.40/powerpc/powerpc64-smp.modules
+++ b/debian.master/abi/3.13.0-19.40/powerpc/powerpc64-smp.modules
@@ -201,7 +201,6 @@ ah4
 ah6
 aha152x_cs
 ahci
-ahci_imx
 ahci_platform
 aic79xx
 aic7xxx
@@ -925,7 +924,6 @@ frpw
 fsa9480
 fscache
 fsl_elbc_nand
-fsl_lpuart
 ft1000
 ft1000_pcmcia
 ftdi-elan
diff --git a/debian.master/abi/3.13.0-19.40/ppc64el/generic.modules b/debian.master/abi/3.13.0-19.40/ppc64el/generic.modules
index 2a57df4..3c5e86c 100644
--- a/debian.master/abi/3.13.0-19.40/ppc64el/generic.modules
+++ b/debian.master/abi/3.13.0-19.40/ppc64el/generic.modules
@@ -533,7 +533,6 @@ frpw
 fsa9480
 fscache
 fsl_elbc_nand
-fsl_lpuart
 ftl
 fujitsu_ts
 g760a
diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 90b1c70..6f18aee 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -9,7 +9,7 @@ CONFIG_AC97_BUS=m
 # CONFIG_ACORN_PARTITION_CUMANA is not set
 # CONFIG_ACORN_PARTITION_EESOX is not set
 # CONFIG_ACORN_PARTITION_POWERTEC is not set
-CONFIG_AHCI_IMX=m
+# CONFIG_AHCI_IMX is not set
 CONFIG_AIC79XX_RESET_DELAY_MS=5000
 CONFIG_ALX=m
 # CONFIG_ANDROID is not set
@@ -277,6 +277,7 @@ CONFIG_SCSI_SRP_ATTRS=m
 CONFIG_SCSI_SYM53C8XX_2=m
 CONFIG_SENSORS_SCH56XX_COMMON=m
 CONFIG_SERIAL_8250_PCI=y
+# CONFIG_SERIAL_FSL_LPUART is not set
 CONFIG_SERIO_ALTERA_PS2=m
 CONFIG_SERIO_ARC_PS2=m
 CONFIG_SERIO_I8042=y
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 8e69041..2bf2e5a 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -8,7 +8,7 @@ CONFIG_ABX500_CORE=y
 # CONFIG_ACORN_PARTITION_CUMANA is not set
 # CONFIG_ACORN_PARTITION_EESOX is not set
 # CONFIG_ACORN_PARTITION_POWERTEC is not set
-CONFIG_AHCI_IMX=m
+# CONFIG_AHCI_IMX is not set
 CONFIG_AIC79XX_RESET_DELAY_MS=5000
 CONFIG_ALX=m
 # CONFIG_ANDROID is not set
@@ -222,6 +222,7 @@ CONFIG_SCSI_SRP_ATTRS=m
 CONFIG_SCSI_SYM53C8XX_2=m
 CONFIG_SENSORS_SCH56XX_COMMON=m
 CONFIG_SERIAL_8250_PCI=m
+# CONFIG_SERIAL_FSL_LPUART is not set
 CONFIG_SERIAL_OF_PLATFORM=y
 CONFIG_SERIO_ALTERA_PS2=m
 CONFIG_SERIO_APBPS2=m
diff --git a/debian.master/config/armhf/config.flavour.generic b/debian.master/config/armhf/config.flavour.generic
index 8752994..954b84f 100644
--- a/debian.master/config/armhf/config.flavour.generic
+++ b/debian.master/config/armhf/config.flavour.generic
@@ -28,6 +28,7 @@ CONFIG_MTD_SM_COMMON=m
 CONFIG_PCI_SYSCALL=y
 # CONFIG_PHYS_ADDR_T_64BIT is not set
 CONFIG_SATA_AHCI_PLATFORM=y
+CONFIG_SERIAL_FSL_LPUART=m
 CONFIG_SND_EMU10K1_SEQ=m
 CONFIG_SND_OPL3_LIB_SEQ=m
 CONFIG_SOC_AM33XX=y
diff --git a/debian.master/config/armhf/config.flavour.generic-lpae b/debian.master/config/armhf/config.flavour.generic-lpae
index c6e50a0..40746a1 100644
--- a/debian.master/config/armhf/config.flavour.generic-lpae
+++ b/debian.master/config/armhf/config.flavour.generic-lpae
@@ -2,7 +2,7 @@
 # Config options for config.flavour.generic-lpae automatically generated by splitconfig.pl
 #
 CONFIG_AC97_BUS=m
-CONFIG_AHCI_IMX=m
+# CONFIG_AHCI_IMX is not set
 # CONFIG_ARCH_MXC is not set
 # CONFIG_ARCH_NEEDS_CPU_IDLE_COUPLED is not set
 CONFIG_ARCH_NR_GPIO=0
@@ -28,6 +28,7 @@ CONFIG_MUSB_PIO_ONLY=y
 # CONFIG_PCI_SYSCALL is not set
 CONFIG_PHYS_ADDR_T_64BIT=y
 CONFIG_SATA_AHCI_PLATFORM=m
+# CONFIG_SERIAL_FSL_LPUART is not set
 # CONFIG_SND_EMU10K1_SEQ is not set
 # CONFIG_SND_OPL3_LIB_SEQ is not set
 # CONFIG_SOC_AM33XX is not set
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index 9229076..341d844 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -5739,7 +5739,6 @@ CONFIG_SERIAL_ARC_NR_PORTS=1
 CONFIG_SERIAL_CORE=y
 CONFIG_SERIAL_CORE_CONSOLE=y
 CONFIG_SERIAL_CPM=m
-CONFIG_SERIAL_FSL_LPUART=m
 CONFIG_SERIAL_ICOM=m
 # CONFIG_SERIAL_IFX6X60 is not set
 CONFIG_SERIAL_IMX=y
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index f6cda3f..64faab7 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -9,7 +9,7 @@ CONFIG_AC97_BUS=m
 # CONFIG_ACORN_PARTITION_CUMANA is not set
 # CONFIG_ACORN_PARTITION_EESOX is not set
 # CONFIG_ACORN_PARTITION_POWERTEC is not set
-CONFIG_AHCI_IMX=m
+# CONFIG_AHCI_IMX is not set
 CONFIG_AIC79XX_RESET_DELAY_MS=5000
 CONFIG_ALX=m
 # CONFIG_ANDROID is not set
@@ -273,6 +273,7 @@ CONFIG_SCSI_SRP_ATTRS=m
 CONFIG_SCSI_SYM53C8XX_2=m
 CONFIG_SENSORS_SCH56XX_COMMON=m
 CONFIG_SERIAL_8250_PCI=y
+# CONFIG_SERIAL_FSL_LPUART is not set
 CONFIG_SERIO_ALTERA_PS2=m
 CONFIG_SERIO_ARC_PS2=m
 CONFIG_SERIO_I8042=y
diff --git a/debian.master/config/powerpc/config.common.powerpc b/debian.master/config/powerpc/config.common.powerpc
index 3f8d7fb..82717be 100644
--- a/debian.master/config/powerpc/config.common.powerpc
+++ b/debian.master/config/powerpc/config.common.powerpc
@@ -9,7 +9,7 @@ CONFIG_AC97_BUS=m
 # CONFIG_ACORN_PARTITION_CUMANA is not set
 # CONFIG_ACORN_PARTITION_EESOX is not set
 # CONFIG_ACORN_PARTITION_POWERTEC is not set
-CONFIG_AHCI_IMX=m
+# CONFIG_AHCI_IMX is not set
 CONFIG_AIC79XX_RESET_DELAY_MS=15000
 # CONFIG_ALX is not set
 CONFIG_ANDROID=y
@@ -297,6 +297,7 @@ CONFIG_SCSI_SPI_ATTRS=m
 CONFIG_SCSI_SYM53C8XX_2=m
 # CONFIG_SENSORS_SCH56XX_COMMON is not set
 CONFIG_SERIAL_8250_PCI=m
+# CONFIG_SERIAL_FSL_LPUART is not set
 CONFIG_SERIAL_OF_PLATFORM=m
 CONFIG_SERIO_ALTERA_PS2=m
 CONFIG_SERIO_APBPS2=m
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index ed25154..9d48e66 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -329,6 +329,7 @@ CONFIG_SCSI_SRP_ATTRS=y
 CONFIG_SCSI_SYM53C8XX_2=y
 # CONFIG_SENSORS_SCH56XX_COMMON is not set
 CONFIG_SERIAL_8250_PCI=y
+# CONFIG_SERIAL_FSL_LPUART is not set
 CONFIG_SERIAL_OF_PLATFORM=y
 # CONFIG_SERIO_ALTERA_PS2 is not set
 # CONFIG_SERIO_APBPS2 is not set