diff --git a/debian.master/abi/3.13.0-20.42/armhf/generic-lpae.modules b/debian.master/abi/3.13.0-20.42/armhf/generic-lpae.modules
index 3a187a9..faf14bd 100644
--- a/debian.master/abi/3.13.0-20.42/armhf/generic-lpae.modules
+++ b/debian.master/abi/3.13.0-20.42/armhf/generic-lpae.modules
@@ -2570,7 +2570,6 @@ usbnet
 usbserial
 usb-serial-simple
 usbsevseg
-usb-storage
 usbtest
 usbtmc
 usbtouchscreen
diff --git a/debian.master/abi/3.13.0-20.42/armhf/generic.modules b/debian.master/abi/3.13.0-20.42/armhf/generic.modules
index 002cf35..80e1477 100644
--- a/debian.master/abi/3.13.0-20.42/armhf/generic.modules
+++ b/debian.master/abi/3.13.0-20.42/armhf/generic.modules
@@ -3386,7 +3386,6 @@ usbnet
 usbserial
 usb-serial-simple
 usbsevseg
-usb-storage
 usbtest
 usbtmc
 usbtouchscreen
diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 2810d8f..28a538c 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -270,6 +270,7 @@ CONFIG_USB_SERIAL=m
 CONFIG_USB_SEVSEG=m
 CONFIG_USB_SISUSBVGA=m
 CONFIG_USB_SL811_HCD=m
+CONFIG_USB_STORAGE=m
 CONFIG_USB_STORAGE_ALAUDA=m
 CONFIG_USB_STORAGE_CYPRESS_ATACB=m
 CONFIG_USB_STORAGE_DATAFAB=m
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 9b52da4..e8eba86 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -173,6 +173,7 @@ CONFIG_UIO_PCI_GENERIC=m
 CONFIG_UIO_PDRV_GENIRQ=m
 CONFIG_UIO_SERCOS3=m
 CONFIG_UNUSED_SYMBOLS=y
+CONFIG_USB_STORAGE=m
 # CONFIG_USB_SUPPORT is not set
 CONFIG_VGASTATE=m
 # CONFIG_VGA_CONSOLE is not set
diff --git a/debian.master/config/armhf/config.common.armhf b/debian.master/config/armhf/config.common.armhf
index 265702e..e1d5856 100644
--- a/debian.master/config/armhf/config.common.armhf
+++ b/debian.master/config/armhf/config.common.armhf
@@ -244,6 +244,7 @@ CONFIG_USB_SERIAL=m
 CONFIG_USB_SEVSEG=m
 CONFIG_USB_SISUSBVGA=m
 CONFIG_USB_SL811_HCD=m
+CONFIG_USB_STORAGE=y
 CONFIG_USB_STORAGE_ALAUDA=m
 CONFIG_USB_STORAGE_CYPRESS_ATACB=m
 CONFIG_USB_STORAGE_DATAFAB=m
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index 1bd4b92..ba07734 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -6958,7 +6958,6 @@ CONFIG_USB_SL811_HCD_ISO=y
 # CONFIG_USB_SN9C102 is not set
 CONFIG_USB_SPEEDTOUCH=m
 CONFIG_USB_STKWEBCAM=m
-CONFIG_USB_STORAGE=m
 # CONFIG_USB_STORAGE_DEBUG is not set
 CONFIG_USB_STV06XX=m
 CONFIG_USB_SWITCH_FSA9480=m
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index 406d496..dffbc34 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -268,6 +268,7 @@ CONFIG_USB_SERIAL=m
 CONFIG_USB_SEVSEG=m
 CONFIG_USB_SISUSBVGA=m
 CONFIG_USB_SL811_HCD=m
+CONFIG_USB_STORAGE=m
 CONFIG_USB_STORAGE_ALAUDA=m
 CONFIG_USB_STORAGE_CYPRESS_ATACB=m
 CONFIG_USB_STORAGE_DATAFAB=m
diff --git a/debian.master/config/powerpc/config.common.powerpc b/debian.master/config/powerpc/config.common.powerpc
index 336e395..e0fbfc3 100644
--- a/debian.master/config/powerpc/config.common.powerpc
+++ b/debian.master/config/powerpc/config.common.powerpc
@@ -299,6 +299,7 @@ CONFIG_USB_SERIAL=m
 CONFIG_USB_SEVSEG=m
 CONFIG_USB_SISUSBVGA=m
 CONFIG_USB_SL811_HCD=m
+CONFIG_USB_STORAGE=m
 CONFIG_USB_STORAGE_ALAUDA=m
 CONFIG_USB_STORAGE_CYPRESS_ATACB=m
 CONFIG_USB_STORAGE_DATAFAB=m
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index cbf2a7f..4c98db0 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -327,6 +327,7 @@ CONFIG_TIGON3=y
 # CONFIG_USB_SEVSEG is not set
 # CONFIG_USB_SISUSBVGA is not set
 # CONFIG_USB_SL811_HCD is not set
+CONFIG_USB_STORAGE=m
 # CONFIG_USB_STORAGE_ALAUDA is not set
 # CONFIG_USB_STORAGE_CYPRESS_ATACB is not set
 # CONFIG_USB_STORAGE_DATAFAB is not set