diff --git a/debian.master/abi/3.16.0-10.15/armhf/generic.modules b/debian.master/abi/3.16.0-10.15/armhf/generic.modules
index 6aad17e..5d59cb1 100644
--- a/debian.master/abi/3.16.0-10.15/armhf/generic.modules
+++ b/debian.master/abi/3.16.0-10.15/armhf/generic.modules
@@ -3650,7 +3650,6 @@ twl4030-vibra
 twl4030_wdt
 twl6030-gpadc
 twl6040-vibra
-twl-regulator
 twofish_common
 twofish_generic
 typhoon
diff --git a/debian.master/config/amd64/config.common.amd64 b/debian.master/config/amd64/config.common.amd64
index 9e82d9b..8173c2c 100644
--- a/debian.master/config/amd64/config.common.amd64
+++ b/debian.master/config/amd64/config.common.amd64
@@ -100,6 +100,7 @@ CONFIG_RCU_NOCB_CPU=y
 CONFIG_RCU_USER_QS=y
 CONFIG_REED_SOLOMON=m
 CONFIG_REGULATOR_FIXED_VOLTAGE=m
+CONFIG_REGULATOR_TWL4030=m
 CONFIG_RTC_DRV_CMOS=y
 CONFIG_RTC_DRV_DS3232=m
 CONFIG_RTC_DRV_PCF8523=m
diff --git a/debian.master/config/arm64/config.common.arm64 b/debian.master/config/arm64/config.common.arm64
index 10cdf96..b00af91 100644
--- a/debian.master/config/arm64/config.common.arm64
+++ b/debian.master/config/arm64/config.common.arm64
@@ -86,6 +86,7 @@ CONFIG_RCU_FAST_NO_HZ=y
 # CONFIG_RCU_NOCB_CPU is not set
 CONFIG_REED_SOLOMON=m
 CONFIG_REGULATOR_FIXED_VOLTAGE=m
+CONFIG_REGULATOR_TWL4030=m
 CONFIG_RTC_DRV_DS3232=m
 CONFIG_RTC_DRV_PCF8523=m
 CONFIG_RTC_DRV_PL031=m
diff --git a/debian.master/config/armhf/config.flavour.generic b/debian.master/config/armhf/config.flavour.generic
index fc59406..e572d61 100644
--- a/debian.master/config/armhf/config.flavour.generic
+++ b/debian.master/config/armhf/config.flavour.generic
@@ -15,6 +15,7 @@ CONFIG_FB_CFB_REV_PIXELS_IN_BYTE=y
 CONFIG_FORCE_MAX_ZONEORDER=12
 # CONFIG_HUGETLB_PAGE is not set
 # CONFIG_PHYS_ADDR_T_64BIT is not set
+CONFIG_REGULATOR_TWL4030=y
 CONFIG_RTC_DRV_PCF8523=y
 CONFIG_SERIAL_8250_DW=y
 CONFIG_SND_SOC_FSL_SSI=y
diff --git a/debian.master/config/armhf/config.flavour.generic-lpae b/debian.master/config/armhf/config.flavour.generic-lpae
index 591ea91..b92a90e 100644
--- a/debian.master/config/armhf/config.flavour.generic-lpae
+++ b/debian.master/config/armhf/config.flavour.generic-lpae
@@ -15,6 +15,7 @@ CONFIG_ARM_LPAE=y
 CONFIG_FORCE_MAX_ZONEORDER=11
 CONFIG_HUGETLB_PAGE=y
 CONFIG_PHYS_ADDR_T_64BIT=y
+CONFIG_REGULATOR_TWL4030=m
 CONFIG_RTC_DRV_PCF8523=m
 CONFIG_SERIAL_8250_DW=m
 CONFIG_SND_SOC_FSL_SSI=m
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index d5bc4c9..a7ab87d 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -5566,7 +5566,6 @@ CONFIG_REGULATOR_TPS6586X=m
 CONFIG_REGULATOR_TPS65910=m
 CONFIG_REGULATOR_TPS65912=m
 CONFIG_REGULATOR_TPS80031=m
-CONFIG_REGULATOR_TWL4030=m
 CONFIG_REGULATOR_USERSPACE_CONSUMER=m
 CONFIG_REGULATOR_VEXPRESS=m
 CONFIG_REGULATOR_VIRTUAL_CONSUMER=m
diff --git a/debian.master/config/enforce b/debian.master/config/enforce
index bbdd85c..23bfe9b 100644
--- a/debian.master/config/enforce
+++ b/debian.master/config/enforce
@@ -87,6 +87,11 @@ value CONFIG_VFAT_FS y
  value CONFIG_GPIO_TWL4030 m | \
  !exists CONFIG_GPIO_TWL4030
 
+# REGULATOR_TWL4030 is a boot requisite for omap4
+(flavour generic & arch armhf &/ value CONFIG_REGULATOR_TWL4030 y) | \
+ value CONFIG_REGULATOR_TWL4030 m | \
+ !exists CONFIG_REGULATOR_TWL4030
+
 # Ensure CONFIG_THERM_ADT746X is y for powerpc-smp flavours.
 # See LP:923094
 (flavour powerpc-smp &/ value CONFIG_THERM_ADT746X y) | \
diff --git a/debian.master/config/i386/config.common.i386 b/debian.master/config/i386/config.common.i386
index 8d2975f..2b29557 100644
--- a/debian.master/config/i386/config.common.i386
+++ b/debian.master/config/i386/config.common.i386
@@ -98,6 +98,7 @@ CONFIG_RCU_FAST_NO_HZ=y
 # CONFIG_RCU_NOCB_CPU is not set
 CONFIG_REED_SOLOMON=m
 CONFIG_REGULATOR_FIXED_VOLTAGE=m
+CONFIG_REGULATOR_TWL4030=m
 CONFIG_RTC_DRV_CMOS=y
 CONFIG_RTC_DRV_DS3232=m
 CONFIG_RTC_DRV_PCF8523=m
diff --git a/debian.master/config/powerpc/config.common.powerpc b/debian.master/config/powerpc/config.common.powerpc
index 3b97102..b1f6652 100644
--- a/debian.master/config/powerpc/config.common.powerpc
+++ b/debian.master/config/powerpc/config.common.powerpc
@@ -105,6 +105,7 @@ CONFIG_RCU_FAST_NO_HZ=y
 CONFIG_RCU_USER_QS=y
 CONFIG_REED_SOLOMON=m
 CONFIG_REGULATOR_FIXED_VOLTAGE=m
+CONFIG_REGULATOR_TWL4030=m
 CONFIG_RTC_DRV_CMOS=m
 CONFIG_RTC_DRV_PCF8523=m
 CONFIG_RTC_DRV_TWL4030=m
diff --git a/debian.master/config/ppc64el/config.common.ppc64el b/debian.master/config/ppc64el/config.common.ppc64el
index 97fa56d..ad17060 100644
--- a/debian.master/config/ppc64el/config.common.ppc64el
+++ b/debian.master/config/ppc64el/config.common.ppc64el
@@ -152,6 +152,7 @@ CONFIG_RCU_FANOUT=64
 # CONFIG_RCU_USER_QS is not set
 CONFIG_REED_SOLOMON=m
 CONFIG_REGULATOR_FIXED_VOLTAGE=m
+CONFIG_REGULATOR_TWL4030=m
 CONFIG_RTC_DRV_CMOS=m
 CONFIG_RTC_DRV_DS3232=m
 CONFIG_RTC_DRV_PCF8523=m