diff --git a/debian.master/control.stub.in b/debian.master/control.stub.in
index 7076ac27e322..04d677f8b717 100644
--- a/debian.master/control.stub.in
+++ b/debian.master/control.stub.in
@@ -13,6 +13,8 @@ Build-Depends:
  libelf-dev <!stage1>,
  libnewt-dev <!stage1>,
  libiberty-dev <!stage1>,
+ default-jdk-headless <!stage1>,
+ java-common <!stage1>,
  rsync <!stage1>,
  libdw-dev <!stage1>,
  libpci-dev <!stage1>,
diff --git a/debian.master/rules.d/amd64.mk b/debian.master/rules.d/amd64.mk
index 162f1f637417..873cb3a63563 100644
--- a/debian.master/rules.d/amd64.mk
+++ b/debian.master/rules.d/amd64.mk
@@ -13,6 +13,7 @@ uefi_signed     = true
 do_tools_usbip  = true
 do_tools_cpupower = true
 do_tools_perf   = true
+do_tools_perf_jvmti = true
 do_tools_x86	= true
 do_tools_hyperv	= true
 do_tools_host = true
diff --git a/debian.master/rules.d/arm64.mk b/debian.master/rules.d/arm64.mk
index cb4ad3837a44..4b6c3ad7c2c5 100644
--- a/debian.master/rules.d/arm64.mk
+++ b/debian.master/rules.d/arm64.mk
@@ -16,6 +16,7 @@ do_extras_package = true
 do_tools_usbip  = true
 do_tools_cpupower = true
 do_tools_perf   = true
+do_tools_perf_jvmti = true
 
 do_dtbs		= true
 do_zfs		= false
diff --git a/debian.master/rules.d/armhf.mk b/debian.master/rules.d/armhf.mk
index 6cabbf281e55..d516ae13454c 100644
--- a/debian.master/rules.d/armhf.mk
+++ b/debian.master/rules.d/armhf.mk
@@ -13,5 +13,6 @@ loader		= grub
 do_tools_usbip  = true
 do_tools_cpupower = true
 do_tools_perf	= true
+do_tools_perf_jvmti = true
 
 do_dtbs		= true
diff --git a/debian.master/rules.d/i386.mk b/debian.master/rules.d/i386.mk
index efc569f12d4c..ca34b9759d1e 100644
--- a/debian.master/rules.d/i386.mk
+++ b/debian.master/rules.d/i386.mk
@@ -12,6 +12,7 @@ no_dumpfile	= true
 do_tools_usbip  = true
 do_tools_cpupower = true
 do_tools_perf   = true
+do_tools_perf_jvmti = true
 do_tools_x86	= true
 do_tools_hyperv = true
 do_extras_package = true
diff --git a/debian.master/rules.d/ppc64el.mk b/debian.master/rules.d/ppc64el.mk
index 0007e93922ae..1783fa398653 100644
--- a/debian.master/rules.d/ppc64el.mk
+++ b/debian.master/rules.d/ppc64el.mk
@@ -14,6 +14,7 @@ opal_signed       = true
 do_tools_usbip    = true
 do_tools_cpupower = true
 do_tools_perf	  = true
+do_tools_perf_jvmti = true
 
 #do_flavour_image_package = false
 do_zfs		= false
diff --git a/debian.master/rules.d/s390x.mk b/debian.master/rules.d/s390x.mk
index 6c250dfe80fe..3ae05ac5e1b4 100644
--- a/debian.master/rules.d/s390x.mk
+++ b/debian.master/rules.d/s390x.mk
@@ -15,5 +15,6 @@ do_extras_package = true
 do_tools_usbip    = true
 do_tools_cpupower = true
 do_tools_perf     = true
+do_tools_perf_jvmti = true
 
 do_zfs		= false
diff --git a/debian/rules b/debian/rules
index 39cb47b1b007..645361942b2a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -37,6 +37,7 @@ do_linux_tools=$(sort $(filter-out false,$(do_tools_usbip) $(do_tools_cpupower)
 do_cloud_tools=$(sort $(filter-out false,$(do_tools_hyperv)))
 do_tools_common?=true
 do_tools_host?=false
+do_tools_perf_jvmti?=false
 
 # Don't build tools or udebs in a cross compile environment.
 ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
diff --git a/debian/rules.d/2-binary-arch.mk b/debian/rules.d/2-binary-arch.mk
index 6f59f4fb2225..64064f1e5fde 100644
--- a/debian/rules.d/2-binary-arch.mk
+++ b/debian/rules.d/2-binary-arch.mk
@@ -375,6 +375,9 @@ ifeq ($(do_tools_cpupower),true)
 endif
 ifeq ($(do_tools_perf),true)
 	$(LN) ../../$(src_pkg_name)-tools-$(abi_release)/perf $(toolspkgdir)/usr/lib/linux-tools/$(abi_release)-$*
+ifeq ($(do_tools_perf_jvmti),true)
+	$(LN) ../../$(src_pkg_name)-tools-$(abi_release)/libperf-jvmti.so $(toolspkgdir)/usr/lib/linux-tools/$(abi_release)-$*
+endif
 endif
 ifeq ($(do_tools_x86),true)
 	$(LN) ../../$(src_pkg_name)-tools-$(abi_release)/x86_energy_perf_policy $(toolspkgdir)/usr/lib/linux-tools/$(abi_release)-$*
@@ -697,6 +700,9 @@ ifeq ($(do_tools_cpupower),true)
 endif
 ifeq ($(do_tools_perf),true)
 	install -m755 $(builddirpa)/tools/perf/perf $(toolspkgdir)/usr/lib/$(src_pkg_name)-tools-$(abi_release)
+ifeq ($(do_tools_perf_jvmti),true)
+	install -m755 $(builddirpa)/tools/perf/libperf-jvmti.so $(toolspkgdir)/usr/lib/$(src_pkg_name)-tools-$(abi_release)
+endif
 endif
 ifeq ($(do_tools_x86),true)
 	install -m755 $(builddirpa)/tools/power/x86/x86_energy_perf_policy/x86_energy_perf_policy \