diff --git a/debian.master/abi/5.4.0-6.7/abiname b/debian.master/abi/5.4.0-6.7/abiname
deleted file mode 100644
index 1e8b31496214..000000000000
--- a/debian.master/abi/5.4.0-6.7/abiname
+++ /dev/null
@@ -1 +0,0 @@
-6
diff --git a/debian.master/abi/5.4.0-7.8/abiname b/debian.master/abi/5.4.0-7.8/abiname
new file mode 100644
index 000000000000..7f8f011eb73d
--- /dev/null
+++ b/debian.master/abi/5.4.0-7.8/abiname
@@ -0,0 +1 @@
+7
diff --git a/debian.master/abi/5.4.0-6.7/amd64/generic b/debian.master/abi/5.4.0-7.8/amd64/generic
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/amd64/generic
rename to debian.master/abi/5.4.0-7.8/amd64/generic
diff --git a/debian.master/abi/5.4.0-6.7/amd64/generic.compiler b/debian.master/abi/5.4.0-7.8/amd64/generic.compiler
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/amd64/generic.compiler
rename to debian.master/abi/5.4.0-7.8/amd64/generic.compiler
diff --git a/debian.master/abi/5.4.0-6.7/amd64/generic.modules b/debian.master/abi/5.4.0-7.8/amd64/generic.modules
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/amd64/generic.modules
rename to debian.master/abi/5.4.0-7.8/amd64/generic.modules
diff --git a/debian.master/abi/5.4.0-6.7/amd64/generic.retpoline b/debian.master/abi/5.4.0-7.8/amd64/generic.retpoline
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/amd64/generic.retpoline
rename to debian.master/abi/5.4.0-7.8/amd64/generic.retpoline
diff --git a/debian.master/abi/5.4.0-6.7/amd64/lowlatency b/debian.master/abi/5.4.0-7.8/amd64/lowlatency
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/amd64/lowlatency
rename to debian.master/abi/5.4.0-7.8/amd64/lowlatency
diff --git a/debian.master/abi/5.4.0-6.7/amd64/lowlatency.compiler b/debian.master/abi/5.4.0-7.8/amd64/lowlatency.compiler
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/amd64/lowlatency.compiler
rename to debian.master/abi/5.4.0-7.8/amd64/lowlatency.compiler
diff --git a/debian.master/abi/5.4.0-6.7/amd64/lowlatency.modules b/debian.master/abi/5.4.0-7.8/amd64/lowlatency.modules
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/amd64/lowlatency.modules
rename to debian.master/abi/5.4.0-7.8/amd64/lowlatency.modules
diff --git a/debian.master/abi/5.4.0-6.7/amd64/lowlatency.retpoline b/debian.master/abi/5.4.0-7.8/amd64/lowlatency.retpoline
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/amd64/lowlatency.retpoline
rename to debian.master/abi/5.4.0-7.8/amd64/lowlatency.retpoline
diff --git a/debian.master/abi/5.4.0-6.7/arm64/generic b/debian.master/abi/5.4.0-7.8/arm64/generic
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/arm64/generic
rename to debian.master/abi/5.4.0-7.8/arm64/generic
diff --git a/debian.master/abi/5.4.0-6.7/arm64/generic.compiler b/debian.master/abi/5.4.0-7.8/arm64/generic.compiler
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/arm64/generic.compiler
rename to debian.master/abi/5.4.0-7.8/arm64/generic.compiler
diff --git a/debian.master/abi/5.4.0-6.7/arm64/generic.modules b/debian.master/abi/5.4.0-7.8/arm64/generic.modules
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/arm64/generic.modules
rename to debian.master/abi/5.4.0-7.8/arm64/generic.modules
diff --git a/debian.master/abi/5.4.0-6.7/arm64/generic.retpoline b/debian.master/abi/5.4.0-7.8/arm64/generic.retpoline
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/arm64/generic.retpoline
rename to debian.master/abi/5.4.0-7.8/arm64/generic.retpoline
diff --git a/debian.master/abi/5.4.0-6.7/arm64/snapdragon b/debian.master/abi/5.4.0-7.8/arm64/snapdragon
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/arm64/snapdragon
rename to debian.master/abi/5.4.0-7.8/arm64/snapdragon
diff --git a/debian.master/abi/5.4.0-6.7/arm64/snapdragon.compiler b/debian.master/abi/5.4.0-7.8/arm64/snapdragon.compiler
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/arm64/snapdragon.compiler
rename to debian.master/abi/5.4.0-7.8/arm64/snapdragon.compiler
diff --git a/debian.master/abi/5.4.0-6.7/arm64/snapdragon.modules b/debian.master/abi/5.4.0-7.8/arm64/snapdragon.modules
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/arm64/snapdragon.modules
rename to debian.master/abi/5.4.0-7.8/arm64/snapdragon.modules
diff --git a/debian.master/abi/5.4.0-6.7/arm64/snapdragon.retpoline b/debian.master/abi/5.4.0-7.8/arm64/snapdragon.retpoline
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/arm64/snapdragon.retpoline
rename to debian.master/abi/5.4.0-7.8/arm64/snapdragon.retpoline
diff --git a/debian.master/abi/5.4.0-6.7/armhf/generic b/debian.master/abi/5.4.0-7.8/armhf/generic
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/armhf/generic
rename to debian.master/abi/5.4.0-7.8/armhf/generic
diff --git a/debian.master/abi/5.4.0-6.7/armhf/generic-lpae b/debian.master/abi/5.4.0-7.8/armhf/generic-lpae
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/armhf/generic-lpae
rename to debian.master/abi/5.4.0-7.8/armhf/generic-lpae
diff --git a/debian.master/abi/5.4.0-6.7/armhf/generic-lpae.compiler b/debian.master/abi/5.4.0-7.8/armhf/generic-lpae.compiler
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/armhf/generic-lpae.compiler
rename to debian.master/abi/5.4.0-7.8/armhf/generic-lpae.compiler
diff --git a/debian.master/abi/5.4.0-6.7/armhf/generic-lpae.modules b/debian.master/abi/5.4.0-7.8/armhf/generic-lpae.modules
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/armhf/generic-lpae.modules
rename to debian.master/abi/5.4.0-7.8/armhf/generic-lpae.modules
diff --git a/debian.master/abi/5.4.0-6.7/armhf/generic-lpae.retpoline b/debian.master/abi/5.4.0-7.8/armhf/generic-lpae.retpoline
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/armhf/generic-lpae.retpoline
rename to debian.master/abi/5.4.0-7.8/armhf/generic-lpae.retpoline
diff --git a/debian.master/abi/5.4.0-6.7/armhf/generic.compiler b/debian.master/abi/5.4.0-7.8/armhf/generic.compiler
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/armhf/generic.compiler
rename to debian.master/abi/5.4.0-7.8/armhf/generic.compiler
diff --git a/debian.master/abi/5.4.0-6.7/armhf/generic.modules b/debian.master/abi/5.4.0-7.8/armhf/generic.modules
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/armhf/generic.modules
rename to debian.master/abi/5.4.0-7.8/armhf/generic.modules
diff --git a/debian.master/abi/5.4.0-6.7/armhf/generic.retpoline b/debian.master/abi/5.4.0-7.8/armhf/generic.retpoline
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/armhf/generic.retpoline
rename to debian.master/abi/5.4.0-7.8/armhf/generic.retpoline
diff --git a/debian.master/abi/5.4.0-6.7/fwinfo b/debian.master/abi/5.4.0-7.8/fwinfo
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/fwinfo
rename to debian.master/abi/5.4.0-7.8/fwinfo
diff --git a/debian.master/abi/5.4.0-6.7/ppc64el/generic b/debian.master/abi/5.4.0-7.8/ppc64el/generic
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/ppc64el/generic
rename to debian.master/abi/5.4.0-7.8/ppc64el/generic
diff --git a/debian.master/abi/5.4.0-6.7/ppc64el/generic.compiler b/debian.master/abi/5.4.0-7.8/ppc64el/generic.compiler
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/ppc64el/generic.compiler
rename to debian.master/abi/5.4.0-7.8/ppc64el/generic.compiler
diff --git a/debian.master/abi/5.4.0-6.7/ppc64el/generic.modules b/debian.master/abi/5.4.0-7.8/ppc64el/generic.modules
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/ppc64el/generic.modules
rename to debian.master/abi/5.4.0-7.8/ppc64el/generic.modules
diff --git a/debian.master/abi/5.4.0-6.7/ppc64el/generic.retpoline b/debian.master/abi/5.4.0-7.8/ppc64el/generic.retpoline
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/ppc64el/generic.retpoline
rename to debian.master/abi/5.4.0-7.8/ppc64el/generic.retpoline
diff --git a/debian.master/abi/5.4.0-6.7/s390x/generic b/debian.master/abi/5.4.0-7.8/s390x/generic
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/s390x/generic
rename to debian.master/abi/5.4.0-7.8/s390x/generic
diff --git a/debian.master/abi/5.4.0-6.7/s390x/generic.compiler b/debian.master/abi/5.4.0-7.8/s390x/generic.compiler
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/s390x/generic.compiler
rename to debian.master/abi/5.4.0-7.8/s390x/generic.compiler
diff --git a/debian.master/abi/5.4.0-6.7/s390x/generic.modules b/debian.master/abi/5.4.0-7.8/s390x/generic.modules
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/s390x/generic.modules
rename to debian.master/abi/5.4.0-7.8/s390x/generic.modules
diff --git a/debian.master/abi/5.4.0-6.7/s390x/generic.retpoline b/debian.master/abi/5.4.0-7.8/s390x/generic.retpoline
similarity index 100%
rename from debian.master/abi/5.4.0-6.7/s390x/generic.retpoline
rename to debian.master/abi/5.4.0-7.8/s390x/generic.retpoline
diff --git a/debian.master/changelog b/debian.master/changelog
index 8d2720185244..f5c4d80e5cf3 100644
--- a/debian.master/changelog
+++ b/debian.master/changelog
@@ -1,3 +1,11 @@
+linux (5.4.0-8.9) UNRELEASED; urgency=medium
+
+  CHANGELOG: Do not edit directly. Autogenerated at release.
+  CHANGELOG: Use the printchanges target to see the curent changes.
+  CHANGELOG: Use the insertchanges target to create the final log.
+
+ -- Seth Forshee <seth.forshee@canonical.com>  Tue, 26 Nov 2019 07:25:51 -0600
+
 linux (5.4.0-7.8) focal; urgency=medium
 
   * Miscellaneous Ubuntu changes