diff --git a/debian.master/abi/5.4.0-162.179/amd64/generic.modules b/debian.master/abi/5.4.0-162.179/amd64/generic.modules
index 76d27fbd76416..4f533b86ef049 100644
--- a/debian.master/abi/5.4.0-162.179/amd64/generic.modules
+++ b/debian.master/abi/5.4.0-162.179/amd64/generic.modules
@@ -751,8 +751,6 @@ cls_flower
 cls_fw
 cls_matchall
 cls_route
-cls_rsvp
-cls_rsvp6
 cls_u32
 cm109
 cm32181
diff --git a/debian.master/abi/5.4.0-162.179/amd64/lowlatency.modules b/debian.master/abi/5.4.0-162.179/amd64/lowlatency.modules
index 941ee5f3471ac..057291cd6bcff 100644
--- a/debian.master/abi/5.4.0-162.179/amd64/lowlatency.modules
+++ b/debian.master/abi/5.4.0-162.179/amd64/lowlatency.modules
@@ -752,8 +752,6 @@ cls_flower
 cls_fw
 cls_matchall
 cls_route
-cls_rsvp
-cls_rsvp6
 cls_u32
 cm109
 cm32181
diff --git a/debian.master/abi/5.4.0-162.179/arm64/generic.modules b/debian.master/abi/5.4.0-162.179/arm64/generic.modules
index 390510390834b..5bbe0dbb1f496 100644
--- a/debian.master/abi/5.4.0-162.179/arm64/generic.modules
+++ b/debian.master/abi/5.4.0-162.179/arm64/generic.modules
@@ -795,8 +795,6 @@ cls_flower
 cls_fw
 cls_matchall
 cls_route
-cls_rsvp
-cls_rsvp6
 cls_u32
 cm109
 cm32181
diff --git a/debian.master/abi/5.4.0-162.179/armhf/generic-lpae.modules b/debian.master/abi/5.4.0-162.179/armhf/generic-lpae.modules
index df7794a922032..c8b3ac75ee199 100644
--- a/debian.master/abi/5.4.0-162.179/armhf/generic-lpae.modules
+++ b/debian.master/abi/5.4.0-162.179/armhf/generic-lpae.modules
@@ -761,8 +761,6 @@ cls_flower
 cls_fw
 cls_matchall
 cls_route
-cls_rsvp
-cls_rsvp6
 cls_u32
 cm109
 cm32181
diff --git a/debian.master/abi/5.4.0-162.179/armhf/generic.modules b/debian.master/abi/5.4.0-162.179/armhf/generic.modules
index 5ebf33711c293..4b95c9c6550bf 100644
--- a/debian.master/abi/5.4.0-162.179/armhf/generic.modules
+++ b/debian.master/abi/5.4.0-162.179/armhf/generic.modules
@@ -766,8 +766,6 @@ cls_flower
 cls_fw
 cls_matchall
 cls_route
-cls_rsvp
-cls_rsvp6
 cls_u32
 cm109
 cm32181
diff --git a/debian.master/abi/5.4.0-162.179/ppc64el/generic.modules b/debian.master/abi/5.4.0-162.179/ppc64el/generic.modules
index 70e1849329e40..61d2cea580929 100644
--- a/debian.master/abi/5.4.0-162.179/ppc64el/generic.modules
+++ b/debian.master/abi/5.4.0-162.179/ppc64el/generic.modules
@@ -682,8 +682,6 @@ cls_flower
 cls_fw
 cls_matchall
 cls_route
-cls_rsvp
-cls_rsvp6
 cls_u32
 cm109
 cm32181
diff --git a/debian.master/abi/5.4.0-162.179/s390x/generic.modules b/debian.master/abi/5.4.0-162.179/s390x/generic.modules
index 99f6a24e47143..0c044f2e99d30 100644
--- a/debian.master/abi/5.4.0-162.179/s390x/generic.modules
+++ b/debian.master/abi/5.4.0-162.179/s390x/generic.modules
@@ -106,8 +106,6 @@ cls_flower
 cls_fw
 cls_matchall
 cls_route
-cls_rsvp
-cls_rsvp6
 cls_u32
 cmac
 coda
diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index 1c81576b9c7d2..4960731296f6a 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -11765,8 +11765,6 @@ CONFIG_NET_CLS_FW                               policy<{'amd64': 'm', 'arm64': '
 CONFIG_NET_CLS_U32                              policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
 CONFIG_CLS_U32_PERF                             policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
 CONFIG_CLS_U32_MARK                             policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
-CONFIG_NET_CLS_RSVP                             policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
-CONFIG_NET_CLS_RSVP6                            policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
 CONFIG_NET_CLS_FLOW                             policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
 CONFIG_NET_CLS_CGROUP                           policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
 CONFIG_NET_CLS_BPF                              policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index a4c8adff592f0..3300a36933418 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -6272,8 +6272,6 @@ CONFIG_NET_CLS_FLOWER=m
 CONFIG_NET_CLS_FW=m
 CONFIG_NET_CLS_MATCHALL=m
 CONFIG_NET_CLS_ROUTE4=m
-CONFIG_NET_CLS_RSVP=m
-CONFIG_NET_CLS_RSVP6=m
 CONFIG_NET_CLS_U32=m
 CONFIG_NET_CORE=y
 CONFIG_NET_DEVLINK=y